# Help & Support

If you have any questions or suggestions, please don't hesitate to reach out to <info@virtualstagingai.app>, or in the live chat on [our website](https://virtualstagingai.app).

We're actively working on the API design and are happy to receive your feedback or adapt to your needs.

## Known Issues

#### Synchronous execution times out after 60s

This is a temporary issue with our hosting provider. If you use a configuration which incurrs a rendering time over 60s (e.g. Photorealism mode + decluttering) with `wait_for_completion: true`, the function will time out after 60 seconds.

Workaround: Use the following endpoints which bypass our hosting providers:\
\
**v1 API:**

* `/v1/render/create` -> `https://us-central1-furniture-ai.cloudfunctions.net/apiCreateRender`
* `/v1/render/create-variation` -> `https://us-central1-furniture-ai.cloudfunctions.net/apiCreateRenderVariation`

**v2 API:**

* `https://api.virtualstagingai.app/v2` -> `https://us-central1-furniture-ai.cloudfunctions.net/apiV2`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.virtualstagingai.app/help-and-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
